Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfile.Get(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileServiceGetRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileServiceGetResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessProfile": {
"appEntitlementId": "<string>",
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"scopeCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"xaaResourceServerId": "<string>"
}
}Cross-App Access
Get
Get an access profile by app_id + id.
GET
/
api
/
v1
/
apps
/
{app_id}
/
xaa
/
access_profiles
/
{id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfile.Get(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileServiceGetRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileServiceGetResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application that owns the resource server.
Unique identifier for the access profile.
Response
200 - application/json
XAAAccessProfileServiceGetResponse returns a single access profile.
XAAAccessProfileServiceGetResponse returns a single access profile.
XAAAccessProfile is a requestable bundle of scopes for one resource server.
Show child attributes
Show child attributes
Was this page helpful?
⌘I